<div *ngIf="playlistRes.length">
  <h1>Yours cloud playlists:</h1>
  <div *ngFor="let playlist of playlistRes"><a [href]="playlist.external_urls.spotify">{{ playlist.name }}</a></div>
</div>
<div *ngIf="!playlistRes.length">
  <h1>You don't have any cloud playlist :(</h1>
</div>



<form class="form-container" [formGroup]="playlistForm" (ngSubmit)="onSubmit()" novalidate>
  <div class="form-row">
    <h1 class="form-title">Create new playlist</h1>
  </div>
  <div class="form-row">
    <div class="form-group col-md-6">
      <input type="text" class="form-control" formControlName="name" placeholder="Playlist name" required>
      <div class="alert alert-secondary" *ngIf="!playlistForm.controls['name'].valid && playlistForm.controls['name'].touched">This field is required</div>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-md-6">
      <textarea class="form-control text-area" formControlName="description" placeholder="Playlist description"></textarea>
      <div class="alert alert-secondary" *ngIf="!playlistForm.controls['description'].valid && playlistForm.controls['description'].touched">This field is required</div>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="public">Playlist privacy:</label>
      <select class="form-control" formControlName="public" id="public" required>
        <option value="false">Private</option>
        <option value="true">Public</option>
      </select>
    </div>
  </div>
  <button class="btn btn-primary" type="submit" [disabled]="!playlistForm.valid">Send</button>
  <button class="btn btn-danger" type="reset" [disabled]="playlistForm.pristine">Reset</button>
</form>